/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*- vi:set ts=8 sts=4 sw=4: */

/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_LILYPONDOPTIONSDIALOG_H_
#define _RG_LILYPONDOPTIONSDIALOG_H_

#include <kdialogbase.h>
#include <tqstring.h>

#include "gui/configuration/HeadersConfigurationPage.h"

class TQWidget;
class TQCheckBox;
class TQComboBox;
class TQLineEdit;
class TQLineEdit;

namespace Rosegarden
{

class RosegardenGUIDoc;
class HeadersConfigurationPage;

class LilyPondOptionsDialog : public KDialogBase
{
    Q_OBJECT
  

public:
    LilyPondOptionsDialog(TQWidget *parent,
			  RosegardenGUIDoc *doc,
                          TQString windowCaption = "",
                          TQString heading = "");

    static void setDefaultLilyPondVersion(TQString version);

public slots:
    void slotApply();
    void slotOk();

protected:
    RosegardenGUIDoc *m_doc;
    TQComboBox *m_lilyLanguage;
    TQComboBox *m_lilyPaperSize;
    TQComboBox *m_lilyFontSize;
    TQComboBox *m_lilyTempoMarks;
    TQComboBox *m_lilyExportSelection;
    TQComboBox *m_lilyLyricsHAlignment;
    TQCheckBox *m_lilyPaperLandscape;
    TQCheckBox *m_lilyRaggedBottom;
    TQCheckBox *m_lilyExportLyrics;
    TQCheckBox *m_lilyExportMidi;
    TQCheckBox *m_lilyExportPointAndClick;
    TQCheckBox *m_lilyExportBeams;
    TQCheckBox *m_lilyExportStaffMerge;
    TQCheckBox *m_lilyExportStaffGroup;
    TQComboBox *m_lilyMarkerMode;
    HeadersConfigurationPage *m_headersPage;

};



}

#endif
