
/* -*- c-basic-offset: 4 indent-tabs-mode: nil -*- vi:set ts=8 sts=4 sw=4: */

/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_MIDIKEYMAPPINGEDITOR_H_
#define _RG_MIDIKEYMAPPINGEDITOR_H_

#include "base/MidiProgram.h"
#include "NameSetEditor.h"
#include <string>


class TQWidget;
class TQString;
class TQListViewItem;


namespace Rosegarden
{

class MidiDevice;
class BankEditorDialog;


class MidiKeyMappingEditor : public NameSetEditor
{
    Q_OBJECT
  

public:
    MidiKeyMappingEditor(BankEditorDialog *bankEditor,
                         TQWidget *parent,
                         const char *name = 0);

    void clearAll();
    void populate(TQListViewItem *);
    MidiKeyMapping &getMapping() { return m_mapping; }
    void reset();

public slots:
    virtual void slotNameChanged(const TQString &);
    virtual void slotEntryButtonPressed();

protected:
    virtual TQWidget *makeAdditionalWidget(TQWidget *parent);
    void blockAllSignals(bool block);

    //--------------- Data members ---------------------------------

    MidiDevice *m_device;
    std::string m_mappingName;
    MidiKeyMapping m_mapping;
};


}

#endif
